org.apache.tinkerpop.gremlin.algorithm.generator

## Class AbstractGenerator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator

- All Implemented Interfaces:
    Generator
  Direct Known Subclasses:
    CommunityGenerator, DistributionGenerator

      public abstract class AbstractGenerator
      extends Object
      implements Generator

  Base class for all synthetic network generators.
  Author:
    Matthias Broecheler (me@matthiasb.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractGenerator.AbstractGeneratorBuilder<T extends AbstractGenerator.AbstractGeneratorBuilder>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Graph` | `g`
    `protected Supplier<Long>` | `seedSupplier`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Edge` | `addEdge(Vertex out, Vertex in)`
    `protected Vertex` | `processVertex(Vertex vertex, Map<String,Object> context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.algorithm.generator.Generator

      `generate`

- - ### Field Detail

    - #### g

          protected final Graph g

    - #### seedSupplier

          protected final Supplier<Long> seedSupplier

  - ### Method Detail

    - #### addEdge

          protected final Edge addEdge(Vertex out,
                                       Vertex in)

    - #### processVertex

          protected final Vertex processVertex(Vertex vertex,
                                               Map<String,Object> context)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.